"Przed"
$dokument = [xml] (Get-Content -Path j:\administracja\witryny.xml)
$dokument.Witryny.Witryna | select URL,Description
"Po"
$witryna = $dokument.CreateElement("Witryny")
$url = $dokument.CreateElement("URL")
$url.set_Innertext("www.windows-scripting.com")
$opis = $dokument.CreateElement("opis")
$opis.set_Innertext("Witryna PowerShella")
$witryna.AppendChild($url)
$witryna.AppendChild($description)
$dokument.Witryny.AppendChild($witryna)
$dokument.Witryny.Witryna | select URL,description
$dokument.Save("h:\demo\książka\witryny_nowy.xml")
"Dokument zapisany!"
